# ConditionalOnExpression class

The `ConditionalOnExpression` annotation in Jetleaf allows developers to conditionally process a class or method based on a runtime expression.

This annotation uses `OnExpressionCondition` to evaluate the expression provided as a string. If the expression evaluates to `true`, the annotated element is processed.

### Usage Example:

    @ConditionalOnExpression('env["ENABLE_FEATURE"] == "true"')
    class FeaturePod {
      // This pod will only be loaded if the expression evaluates to true
    }

Inheritance
  - Object
  - ReflectableAnnotation
  - ConditionalOnExpression
Mixed-in types
  - EqualsAndHashCode
Annotations
  - @Conditional([ClassType<OnExpressionCondition>()])
  - @Target({TargetKind.classType, TargetKind.method})

## Constructors

ConditionalOnExpression.new(Object expression)
  The `ConditionalOnExpression` annotation in Jetleaf allows developers to conditionally process a class or method based on a runtime expression.
  const

## Properties

annotationType → Type
  Returns the annotation _type of this annotation.
  no setter override
expression → Object
  The expression to evaluate for determining if the annotated element should be processed.
  final
hashCode → int
  The hash code for this object.
  no setter inherited
runtimeType → Type
  A representation of the runtime type of the object.
  no setter inherited

## Methods

equalizedProperties() → List<Object?>
  Mixin-style contract for value-based equality, `hashCode`, and `toString`.
  override
equals(Object other) → bool
  Checks whether the given object is logically equivalent to this annotation.
  inherited
noSuchMethod(Invocation invocation) → dynamic
  Invoked when a nonexistent method or property is accessed.
  inherited
toString() → String
  Returns a string representation of this annotation.
  override

## Operators

operator ==(Object other) → bool
  The equality operator.
  inherited